local Henhouse = ...

-- Register prefab nodes (currently only one core model)
Henhouse:registerAssetId("models/henhouse.fbx/Prefab/henhousePart", "HENHOUSE_PREFAB")

Henhouse:register({
--Dclare que l'objet que l'on cre appartient  la class BUILDING
	DataType = "BUILDING",
--Dclare la classe de l'objet que l'on cre
	Id = "HENHOUSE",
	Name = "HENHOUSE_NAME",
	Description = "HENHOUSE_DESC",
--Renseigne le champ Building Type. cela va permettre de classer l'objet dans les menus
	BuildingType = "GENERAL",
--renseigne le champ BuildingPartList de l'objet que l'on cre un peu plus loin	
	BuildingPartSetList = {
		{
			Name = "HENHOUSE_NAME",
                	BuildingPartList = { "HENHOUSE_PART" }
                }
        }
--Renseigne le champ Nombre de villageois requis pour la construction. Ici inactiv pour le test
	--VillagerRequired = { Status = "NEWCOMER", Quantity = 9 }
})

-- Register the shoemaker workplace part
Henhouse:register({
	DataType = "BUILDING_PART",
	Id = "HENHOUSE_PART",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "HENHOUSE_PREFAB"
	},
--Dclaration de la taille de la zone de construction ( c'est un masque qui cache la zone de futur construction pour faire passer devant le decor votre object" veiller a la faire a la bonne taille ..pas bloquant
	BuildingZone = { 4, 4},
--Ca c'est pour dclarer le visuel de construction si il y en a un !
	ConstructionVisual = "HENHOUSE_PREFAB",
	Cost = {
		UpkeepCost = {
			{ Resource = "GOLD", Quantity = 0 }
		},
		RessourcesNeeded = { -- List of RESOURCE_QUANTITY_PAIR
			{ Resource = "WOOD", Quantity = 5 }
		}
	},
	BuildingFunction = {
		DataType = "BUILDING_FUNCTION_WORKPLACE",
		WorkerCapacity = 1,
                RelatedJob = { Job = "HEN_BREEDER", Behavior = "WORK_BEHAVIOR" },
                InputInventoryCapacity = {
			{ Resource = "WHEAT", Quantity = 2 }
                },
                ResourceListNeeded = {
                	{ Resource = "WHEAT", Quantity = 1 }
                },
                ResourceProduced = {
			{ Resource = "EGG", Quantity = 4 }
                }
	}
})

-- Register grass clearing components

Henhouse:registerPrefabComponent("models/henhouse.fbx/Prefab/henhousePart", {
	DataType = "COMP_DIRT_RECTANGLE",
	Size = {5, 5}
})
